Skip to main content
POST
/
workspace
curl -X POST https://app.drime.cloud/api/v1/workspace \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "My New Workspace"
  }'
{
  "workspace": {
    "owner_id": 15843,
    "name": "My New Workspace",
    "updated_at": "2025-12-18T18:39:45.000000Z",
    "created_at": "2025-12-18T18:39:45.000000Z",
    "id": 1874,
    "members_count": 1,
    "currentUser": {
      "role_name": "Workspace Owner",
      "email": "user@example.com",
      "workspace_id": 1874,
      "role_id": 3,
      "is_owner": true
    },
    "owner": {
      "role_name": "Workspace Owner",
      "email": "user@example.com",
      "is_owner": true
    }
  },
  "status": "success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drime.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Creates a new workspace. The authenticated user becomes the workspace owner automatically.

Request Body

name
string
required
Name for the new workspace

Response

workspace
object
The newly created workspace object
status
string
Request status (success)
curl -X POST https://app.drime.cloud/api/v1/workspace \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "My New Workspace"
  }'
{
  "workspace": {
    "owner_id": 15843,
    "name": "My New Workspace",
    "updated_at": "2025-12-18T18:39:45.000000Z",
    "created_at": "2025-12-18T18:39:45.000000Z",
    "id": 1874,
    "members_count": 1,
    "currentUser": {
      "role_name": "Workspace Owner",
      "email": "user@example.com",
      "workspace_id": 1874,
      "role_id": 3,
      "is_owner": true
    },
    "owner": {
      "role_name": "Workspace Owner",
      "email": "user@example.com",
      "is_owner": true
    }
  },
  "status": "success"
}